aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-01-13 02:17:41 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2011-01-13 02:17:41 -0600
commitd68ed562333bfa87b733288e55e33488cd050366 (patch)
tree0095f9529c466ff05a15a558e4335cb2f6ba4a5e
parenta1dc928ab38e3ff4c90293855d5d2919924dcd86 (diff)
downloadaports-d68ed562333bfa87b733288e55e33488cd050366.tar.gz
aports-d68ed562333bfa87b733288e55e33488cd050366.tar.bz2
aports-d68ed562333bfa87b733288e55e33488cd050366.tar.xz
testing/gradm: new aport
-rw-r--r--testing/gradm/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/gradm/APKBUILD b/testing/gradm/APKBUILD
new file mode 100644
index 0000000000..61eccfeeb8
--- /dev/null
+++ b/testing/gradm/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=gradm
+pkgver=2.2.0
+pkgrel=0
+pkgdesc="administrative utility for grsecurity kernels"
+url="http://www.grsecurity.org/"
+arch="all"
+license="GPL"
+depends="bison flex"
+makedepends=
+install=""
+subpackages="$pkgname-doc"
+source="http://grsecurity.net/stable/gradm-2.2.0-201011061849.tar.gz"
+
+_builddir="$srcdir/gradm2"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="081765637a407dd7e4cd07f95413d6b8 gradm-2.2.0-201011061849.tar.gz"